Bug 6896 - [UPDATE REQUEST] qt5 5.5.1 -> 5.6.0
: [UPDATE REQUEST] qt5 5.5.1 -> 5.6.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 6891
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-01 13:15 MSD by Andrey Bondrov
Modified: 2016-04-12 11:13 MSD (History)
2 users (show)

See Also:
RPM Package: qt5
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
log (24.73 KB, application/octet-stream)
2016-04-05 19:10 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-04-01 13:15:03 MSD
We need to update Qt5 to 5.6.0 and use individual module subpackages instead of all-in-one build.

Please use this repository for testing:
http://abf-downloads.rosalinux.ru/qt5_backports_personal/repository/rosa2014.1/

If everything is fine, I'll build all packages to containers.
Comment 1 Vladimir Potapov 2016-04-05 19:10:38 MSD
Created attachment 4433 [details]
log

ошибки при установке
Comment 3 Andrey Bondrov 2016-04-06 12:36:09 MSD
Second set of Qt 5.6.0 packages (8-24 / 28):

8. qt5-qt3d
https://abf.rosalinux.ru/build_lists/2630081
https://abf.rosalinux.ru/build_lists/2630082

9. qt5-qtcanvas3d
https://abf.rosalinux.ru/build_lists/2630083
https://abf.rosalinux.ru/build_lists/2630084

10. qt5-qtdoc
https://abf.rosalinux.ru/build_lists/2630085
https://abf.rosalinux.ru/build_lists/2630086

11. qt5-qtenginio
https://abf.rosalinux.ru/build_lists/2630087
https://abf.rosalinux.ru/build_lists/2630088

12. qt5-qtgraphicaleffects
https://abf.rosalinux.ru/build_lists/2630089
https://abf.rosalinux.ru/build_lists/2630090

13. qt5-qtimageformats
https://abf.rosalinux.ru/build_lists/2630091
https://abf.rosalinux.ru/build_lists/2630092

14. qt5-qtlocation
https://abf.rosalinux.ru/build_lists/2630093
https://abf.rosalinux.ru/build_lists/2630094

15. qt5-qtmultimedia
https://abf.rosalinux.ru/build_lists/2630095
https://abf.rosalinux.ru/build_lists/2630096

16. qt5-qtquickcontrols
https://abf.rosalinux.ru/build_lists/2630097
https://abf.rosalinux.ru/build_lists/2630098

17. qt5-qtquickcontrols2
https://abf.rosalinux.ru/build_lists/2630099
https://abf.rosalinux.ru/build_lists/2630100

18. qt5-qtsensors
https://abf.rosalinux.ru/build_lists/2630101
https://abf.rosalinux.ru/build_lists/2630102

19. qt5-qtsvg
https://abf.rosalinux.ru/build_lists/2630103
https://abf.rosalinux.ru/build_lists/2630104

20. qt5-qttranslations
https://abf.rosalinux.ru/build_lists/2630105
https://abf.rosalinux.ru/build_lists/2630106

21. qt5-qtwayland
https://abf.rosalinux.ru/build_lists/2630107
https://abf.rosalinux.ru/build_lists/2630108

22. qt5-qtwebchannel
https://abf.rosalinux.ru/build_lists/2630109
https://abf.rosalinux.ru/build_lists/2630110


23. qt5-qtwebsockets
https://abf.rosalinux.ru/build_lists/2630111
https://abf.rosalinux.ru/build_lists/2630112

24. qt5-qtx11extras
https://abf.rosalinux.ru/build_lists/2630113
https://abf.rosalinux.ru/build_lists/2630114
Comment 4 Vladimir Potapov 2016-04-06 14:09:00 MSD
Некоторые запрошенные пакеты не могут быть установлены:                                                                                                                                                            
libqt5gui-devel-5.5.1-5-rosa2014.1.i586 (из-за неудовлетворённости qt5-platformtheme-gtk2[== 5.5.1-5:2014.1])                                                                                                      
qt5-platformtheme-gtk2-5.5.1-5-rosa2014.1.i586 (из-за конфликтов с qt5-platformtheme-gtk2-5.6.0-7-rosa2014.1.x86_64, попытка активизировать pkgconfig(Qt5WebKit))                                                  
qt5-platformtheme-gtk2-5.5.1-5-rosa2014.1.x86_64 (из-за конфликтов с qt5-platformtheme-gtk2-5.6.0-7-rosa2014.1.x86_64, попытка активизировать pkgconfig(Qt5WebKit))                                                
Продолжить установку? (Y/n)
Comment 5 VictorR2007 2016-04-06 15:08:37 MSD
Я конечно не сегодня устанавливал.
Раньше, из qt5_backports_personal.
Там нужно повторять пару раз команду
urpmi --auto-update
Слишком много файлов обновляется за один раз.
Часть пакетов уже обновилась, но urpmi
перечитает список обновлённых пакетов только при следующем запуске.
У меня всё устанавливалось слёту.
На двух машинах, и трёх копиях Росы.
Comment 6 Vladimir Potapov 2016-04-06 15:11:23 MSD
(In reply to comment #5)
> Я конечно не сегодня устанавливал.
> Раньше, из qt5_backports_personal.
> Там нужно повторять пару раз команду
> urpmi --auto-update
> Слишком много файлов обновляется за один раз.
> Часть пакетов уже обновилась, но urpmi
> перечитает список обновлённых пакетов только при следующем запуске.
> У меня всё устанавливалось слёту.
> На двух машинах, и трёх копиях Росы.
там просто не все контейнеры еще :-)
Comment 8 Vladimir Potapov 2016-04-06 20:38:13 MSD
The update is sent to expanded testing
***************************************
Comment 9 Andrey Bondrov 2016-04-07 18:15:24 MSD
One more missing package.

29. qt5-qtconnectivity

https://abf.rosalinux.ru/build_lists/2630241
https://abf.rosalinux.ru/build_lists/2630242
Comment 10 Vladimir Potapov 2016-04-07 18:34:57 MSD
The update is sent to expanded testing
**************************************
Comment 11 Andrey Bondrov 2016-04-08 14:50:35 MSD
Fixed qt5-qtdeclarative package (should be published after all previous builds, including older qt5-qtdeclarative build #3).

https://abf.rosalinux.ru/build_lists/2630577
https://abf.rosalinux.ru/build_lists/2630578
Comment 12 Andrey Bondrov 2016-04-08 16:36:43 MSD
Fix Plasma 5 applets to work with Qt 5.6

1. plasma5-kdeplasma-addons:
https://abf.rosalinux.ru/build_lists/2630593
https://abf.rosalinux.ru/build_lists/2630594

2. plasma5-applet-rosaexpo:
https://abf.rosalinux.ru/build_lists/2630601
https://abf.rosalinux.ru/build_lists/2630602
Comment 13 VictorR2007 2016-04-08 18:47:59 MSD
Появилась проблема с plasma5 5.6.2
Устанавливал сегодня все обновления из qt5_backports_personal
и main-testing.
Потом делал перезагрузки.
Потом устанавливал последние на сегодня пакеты без перезагрузки.
Там было не очень много пакетов.
После перезагрузки перестало запускаться контекстное меню
на рабочем столе.
Подумал, что из последних установленных пакетов мог повлиять
desktop-common-data.
Пересобрал его без патча desktop-common-data-2014.1-plasma5-systemsettings.patch
Это не помогло.
Теперь гадаю, что ещё могло так повлиять.
Вроде все остальные пакеты не несут изменений,
могущих так повлиять.
На новом пользователе проверял.
Comment 14 Vladimir Potapov 2016-04-08 19:23:39 MSD
(In reply to comment #11)
> Fixed qt5-qtdeclarative package (should be published after all previous
> builds, including older qt5-qtdeclarative build #3).
> 
> https://abf.rosalinux.ru/build_lists/2630577
> https://abf.rosalinux.ru/build_lists/2630578

The update is sent to expanded testing
**************************************
Comment 15 Andrey Bondrov 2016-04-08 19:34:51 MSD
(In reply to comment #13)
> Подумал, что из последних установленных пакетов мог повлиять
> desktop-common-data.

Не, этот пакет точно не мог повлиять. В qt5_backports_personal я пересобирал KF 5.20 и Plasma 5.5.5 с Qt 5.6.0, чтобы посмотреть, исправит ли это проблему с панелью, которая в итоге оказалась в пакетах plasma5-applet-rosaexpo и plasma5-kdeplasma-addons.

Пересобранные пакеты Plasma 5.5.5 с обновлениями не должны были прийти, если уже стоит Plasma 5.6.2. Могли пересобранные пакеты KF 5.20, но тоже сомнительно, чтобы от них такой эффект был, т.к. с Plasma 5.5.5 описанная проблема не наблюдается.

Можно попробовать пересобрать себе plasma5-desktop и plasma5-workspace, может на установленной системе что-то случилось с файлами из них по какой-то причине.
Comment 16 VictorR2007 2016-04-08 20:05:50 MSD
(In reply to comment #15)
> (In reply to comment #13)
> > Подумал, что из последних установленных пакетов мог повлиять
> > desktop-common-data.
> 
> Не, этот пакет точно не мог повлиять. В qt5_backports_personal я пересобирал
> KF 5.20 и Plasma 5.5.5 с Qt 5.6.0, чтобы посмотреть, исправит ли это
> проблему с панелью, которая в итоге оказалась в пакетах
> plasma5-applet-rosaexpo и plasma5-kdeplasma-addons.
> 
> Пересобранные пакеты Plasma 5.5.5 с обновлениями не должны были прийти, если
> уже стоит Plasma 5.6.2. Могли пересобранные пакеты KF 5.20
Нет,  KF 5.20 точно не при чём.
Как только они были собраны, я сразу обновился и перезагрузился.
Сейчас пересоберу названные вами пакеты.
Надеюсь что поможет.
Comment 17 VictorR2007 2016-04-09 09:24:39 MSD
Пеересборка plasma5-desktop и plasma5-workspace всё исправила.
Comment 18 Vladimir Potapov 2016-04-11 18:56:49 MSD
qt5-qtbase-5.6.0-7
https://abf.rosalinux.ru/build_lists/2630057
https://abf.rosalinux.ru/build_lists/2630058

qt5-qtxmlpatterns-5.6.0-3
https://abf.rosalinux.ru/build_lists/2630069
https://abf.rosalinux.ru/build_lists/2630070

qt5-qttools-5.6.0-4
https://abf.rosalinux.ru/build_lists/2630077
https://abf.rosalinux.ru/build_lists/2630078

qt5-qtscript-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630065
https://abf.rosalinux.ru/build_lists/2630066

qt5-qtserialport-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630067
https://abf.rosalinux.ru/build_lists/2630068

qt5-qtserialbus-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630079
https://abf.rosalinux.ru/build_lists/2630080

qt5-qt3d-5.6.0-3
https://abf.rosalinux.ru/build_lists/2630081
https://abf.rosalinux.ru/build_lists/2630082

qt5-qtcanvas3d-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630083
https://abf.rosalinux.ru/build_lists/2630084

qt5-qtdoc-5.6.0-1
https://abf.rosalinux.ru/build_lists/2630085
https://abf.rosalinux.ru/build_lists/2630086

qt5-qtenginio-1.6.0-1
https://abf.rosalinux.ru/build_lists/2630087
https://abf.rosalinux.ru/build_lists/2630088

qt5-qtgraphicaleffects-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630089
https://abf.rosalinux.ru/build_lists/2630090

qt5-qtimageformats-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630091
https://abf.rosalinux.ru/build_lists/2630092

qt5-qtlocation-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630093
https://abf.rosalinux.ru/build_lists/2630094

qt5-qtmultimedia-5.6.0-3
https://abf.rosalinux.ru/build_lists/2630095
https://abf.rosalinux.ru/build_lists/2630096

qt5-qtquickcontrols-5.6.0-3
https://abf.rosalinux.ru/build_lists/2630097
https://abf.rosalinux.ru/build_lists/2630098

qt5-qtquickcontrols2-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630099
https://abf.rosalinux.ru/build_lists/2630100

qt5-qtsensors-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630101
https://abf.rosalinux.ru/build_lists/2630102

qt5-qtsvg-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630103
https://abf.rosalinux.ru/build_lists/2630104

qt5-qttranslations-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630105
https://abf.rosalinux.ru/build_lists/2630106

qt5-qtwayland-5.6.0-3
https://abf.rosalinux.ru/build_lists/2630107
https://abf.rosalinux.ru/build_lists/2630108

qt5-qtwebchannel-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630109
https://abf.rosalinux.ru/build_lists/2630110

qt5-qtwebsockets-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630111
https://abf.rosalinux.ru/build_lists/2630112

qt5-qtx11extras-5.6.0-3
https://abf.rosalinux.ru/build_lists/2630113
https://abf.rosalinux.ru/build_lists/2630114

qt5-qtwebengine-5.6.0-4
https://abf.rosalinux.ru/build_lists/2630123
https://abf.rosalinux.ru/build_lists/2630122

qt5-qtwebkit-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630119
https://abf.rosalinux.ru/build_lists/2630120

qt5-qtquick1-5.6.0-3
https://abf.rosalinux.ru/build_lists/2630128
https://abf.rosalinux.ru/build_lists/2630129

qt5-qtwebview-5.6.0-2
https://abf.rosalinux.ru/build_lists/2630130
https://abf.rosalinux.ru/build_lists/2630131

qt5-qtconnectivity-5.6.0-1
https://abf.rosalinux.ru/build_lists/2630241
https://abf.rosalinux.ru/build_lists/2630242

qt5-qtdeclarative-5.6.0-6
https://abf.rosalinux.ru/build_lists/2630577
https://abf.rosalinux.ru/build_lists/2630578

plasma5-kdeplasma-addons-5.5.5-3
https://abf.rosalinux.ru/build_lists/2630593
https://abf.rosalinux.ru/build_lists/2630594

plasma5-applet-rosaexpo-5.1-1
https://abf.rosalinux.ru/build_lists/2630601
https://abf.rosalinux.ru/build_lists/2630602

*************************** Advisory ************************
Update Qt5 to 5.6.0 and use individual module subpackages instead of all-in-one build
*************************************************************
QA Verified